<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Modern_Magazine
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>
<div class="comment-main">
    <h2><?php esc_html_e('COMMENTS','modern-magazine'); ?></h2>
    <div class="media">
      <div class="comment-media">
        <?php
		wp_list_comments( array(
			'style'      => 'div',
			'short_ping' => true,
		) );
		?>
        <?php
			$comment_count = get_comments_number();
			if ( 1 === $comment_count ) {
				printf(
					/* translators: 1: title. */
					esc_html_e( 'One thought on &ldquo;%1$s&rdquo;', 'modern-magazine' ),
					'<h4>' . get_the_title() . '</h4>'
				);
			}
		?>
      </div>
    </div>
    <div class="comment-form">
      <?php comment_form(); ?>
    </div>
    <?php the_comments_navigation(); ?>
  </div>