<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Modern_Magazine
 */

$footer_widget_style = get_theme_mod('WidgetAreaStyle',4);
$hide_footer_widget_bar = get_theme_mod('hideWidgetArea','show'); 
$footer_widget_style = $footer_widget_style+1;
$footer_column_value = floor(12/($footer_widget_style)); ?>
<footer class="footer">
  <div class="container">
<?php if(($hide_footer_widget_bar == 'show') || ($hide_footer_widget_bar == '')) :  ?>
  <div class="widget-area">
    <?php $k = 1; ?>
    	<?php for( $i=0; $i<$footer_widget_style; $i++) { ?>
        <?php if (is_active_sidebar('footer-'.$k)) { ?>
            <div class="col-lg-<?php echo esc_attr($footer_column_value); ?> col-md-<?php echo esc_attr($footer_column_value); ?> col-sm-<?php echo esc_attr($footer_column_value); ?> col-xs-12"><?php dynamic_sidebar('footer-'.$k); ?></div>
        <?php }
        $k++;
    } ?>
    </div>
  <?php endif; ?>
    <div class="copy-right">
      <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
      <?php if(get_theme_mod('CopyrightAreaText') != '') :?>
        <p><?php echo wp_kses_post(get_theme_mod('CopyrightAreaText')); ?></p>
        <?php endif; ?>
      </div>
      <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
        <p><?php esc_html_e('Powered by','modern-magazine'); ?> <a href="<?php echo esc_url('http://cipherthemes.com/wordpress-themes/modern-magazine/','modern-magazine'); ?>" target="_blank"><?php esc_html_e('Modern Magazine WordPress Theme','modern-magazine'); ?></a></p>
      </div>
    </div>
  </div>
</footer>
<?php wp_footer(); ?>
</body>
</html>