<?php
/**
 * Template Name: Home Page
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Modern Magazine
 */
get_header();
if ( 'posts' == get_option( 'show_on_front' ) ) { 
  get_template_part( 'template-parts/content', get_post_format());
} else { 
$sliderpost_category = new WP_Query(array('post_type' => 'post', 'posts_per_page' => '5','category_name' => get_theme_mod('post_category')));
$posts = $sliderpost_category->posts;
$num = $sliderpost_category->post_count; 
$counter = 1; ?>
<div class="slider-main-area">
  <ul class="media-post-section">
  <?php foreach($posts as $post): ?>
  <!-- SLIDER SECTION -->
  <?php if($counter == 1){ ?>
  <li class="media-post_item-1">
    <div class="news-box">
      <section class="slider-main">
        <div id="carousel-example-generic" class="carousel slide" data-ride="carousel">
          <!-- Wrapper for slides -->
          <div class="carousel-inner" role="listbox">
            <div class="item active modern-home-box">
            
                <div class="modern-home-first-image">
                  <?php if ( has_post_thumbnail() ) : ?>
                      <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'modern_magazine_ThumbnailImage', array( 'alt' => esc_attr(get_the_title()), 'class' => 'img-responsive') ); ?></a>
                  <?php else: ?>
                      <a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/no-image.jpg"></a>
                  <?php endif; ?>

                  <div class="carousel-caption">
                    <h3><a href="<?php the_permalink(); ?>"><?php echo esc_html(mb_strimwidth(get_the_title(), 0, 45, '...')) ?></a></h3>
                    <p>
                       <?php foreach((get_the_category()) as $category){  ?>
                          <i class="fa fa-folder-open" aria-hidden="true"></i>
                            <a href="<?php echo esc_url(get_category_link($category->term_id ) ); ?>">
                              <span class="label"><?php echo esc_html($category->name); ?></span>
                            </a>
                        <?php } ?>
                    </p>
                  </div>
                </div>         
            </div>
        </div>
      </section> 
    </div>
  </li>
    <?php } else {   ?>
      <li class="media-post_item-2">
      <!-- LATEST NEWS SECTION -->
      <div class="news-box">
        <div class="top-side-section-post">
          <?php if ( has_post_thumbnail() ) : ?>
              <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'modern_magazine_ThumbnailImage', array( 'alt' => esc_attr(get_the_title()), 'class' => 'img-responsive') ); ?></a>
          <?php else: ?>
              <a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/no-image.jpg"></a>
          <?php endif; ?>
          <div class="news-box-content">
            <h3><a href="<?php the_permalink(); ?>"><?php echo esc_html(mb_strimwidth(get_the_title(), 0, 35, '...')) ?></a></h3>
            <p>
              <?php foreach((get_the_category()) as $category){  ?>
                <i class="fa fa-folder-open" aria-hidden="true"></i>
                  <a href="<?php echo esc_url(get_category_link($category->term_id ) ); ?>">
                    <span class="label"><?php echo esc_html($category->name); ?></span>
                  </a>
              <?php } ?>               
            </p>
          </div>
        </div>  
      </div>	
    </li>
    <?php  }   $counter++; 
 endforeach; wp_reset_postdata();?>
 </ul>
 </div>

<?php  $latestpost = new WP_Query(array('post_type' => 'post', 'posts_per_page' => '4','category_name' => get_theme_mod('latestpost_category')));
  $posts = $latestpost->posts;
  $counter = 1; ?>
  <section class="latest-news-headline">
      <div class="container">
        <div class="news-headline">
          <div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
            <h2>
              <?php echo esc_html(get_theme_mod('latestpost_category_title',esc_html__('The Latest Magazine','modern-magazine')));?>
            </h2>
          </div>
          <div class="col-lg-9 col-md-9 col-sm-9 col-xs-12 headline">
            <div class="headline-news" id="latest-news-vertical-slider">
              <?php foreach($posts as $post):?>
              <h2>
                <a href="<?php the_permalink(); ?>">
                  <?php echo esc_html(mb_strimwidth(get_the_title(), 0, 150, '...')); ?>
                </a>
              </h2>
              <?php  endforeach; wp_reset_postdata();?>
            </div>
          </div>
        </div>
      </div>
    </section>   

 <!-- CONTENT SECTION -->
    <section class="content-main">
      <div class="container">
        <?php if(get_theme_mod('blogsidebar',2) == '1') :?>
      <div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
        <?php get_sidebar(); ?>
      </div>
      <?php endif; 
       $row = get_theme_mod('blogsidebar',2) == '3' ? '12' : '9'; ?>
        <div class="col-lg-<?php echo esc_attr($row); ?> col-md-<?php echo esc_attr($row); ?> col-sm-<?php echo esc_attr($row); ?> col-xs-12">

         <!-- First NEWS SECTION --> 
         <?php  $section_first_news = new WP_Query(array('post_type' => 'post', 'posts_per_page' => '5','category_name' => get_theme_mod('section_first_news_category')));
          $num = $section_first_news->post_count; 
          $counter = 1; ?>
          <div class="first-section-news">
            <h2><?php echo esc_html(get_theme_mod('section_first_news_title',esc_html__('First Magazine Section','modern-magazine'))); ?></h2>
            <div class="row">
              <?php while ( $section_first_news->have_posts() ) : $section_first_news->the_post();
              if($counter==1) { ?>
              <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 first-section-news-box">
                <?php if ( has_post_thumbnail() ) : ?>
                      <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'modern_magazine_ThumbnailImage', array( 'alt' => esc_attr(get_the_title()), 'class' => 'img-responsive') ); ?></a>
                  <?php else: ?>
                      <a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/no-image.jpg"></a>
                  <?php endif; ?>
                <div class="first-section-news-content">
                  <h4><a href="<?php the_permalink(); ?>"><?php 
                echo esc_html(mb_strimwidth(get_the_title(), 0, 45, '...')); ?> </a></h4>                  
                  <p>
                    <?php foreach((get_the_category()) as $category){  ?>
                           <a href="<?php echo esc_url( get_category_link($category->term_id ) ) ?>"><span class="label"><?php echo esc_html($category->name); ?></span></a>
                    <?php } ?>                     
                  </p>
                  <p>
                    <?php echo esc_html(mb_strimwidth(get_the_excerpt(), 0, 250, '[...]'));  ?>
                  </p>
                </div>
              </div>
                <?php } else {  if($counter==2) { ?>
              <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                <div class="first-section-news-list">
                  <?php } ?>
                  <div class="news-list-box">
                    <div class="news-list-img">
                      <?php if ( has_post_thumbnail() ) : ?>
                      <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'modern_magazine_ThumbnailImage', array( 'alt' => esc_attr(get_the_title()), 'class' => 'img-responsive') ); ?></a>
                  <?php else: ?>
                      <a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/no-image.jpg"></a>
                  <?php endif; ?>
                    </div>
                    <div class="news-list-content">
                      <h4><a href="<?php the_permalink(); ?>">
                        <?php  echo esc_html(mb_strimwidth(get_the_title(), 0, 45, '...')); ?> </a>
                      </h4>                      
                      <p>
                        <?php foreach((get_the_category()) as $category){  ?>
                               <a href="<?php echo esc_url( get_category_link($category->term_id ) ) ?>"><span class="label"><?php echo esc_html($category->name); ?></span></a>
                        <?php } ?>                     
                      </p>
                    </div>
                  </div>
                 <?php if($counter == $num){ ?>
                </div>
              </div>              
            <?php } 
              }              
             $counter++; endwhile; wp_reset_postdata();?>
            </div>
          </div>
              

          <!-- Second NEWS SECTION -->
          <?php 
          $section_second_news = new WP_Query(array('post_type' => 'post', 'posts_per_page' => '3','category_name' => get_theme_mod('section_second_news_category')));          
          $num = $section_second_news->post_count; 
          $counter = 1; ?>
          
          <div class="second-section-news">
            <h2><?php echo esc_html(get_theme_mod('section_second_news_title',esc_html__('Second Magazine Section','modern-magazine'))); ?></h2>
            <?php while ( $section_second_news->have_posts() ) : $section_second_news->the_post();
              if($counter==1) { ?>
            <div class="second-section-news-top">
              <?php if ( has_post_thumbnail() ) : ?>
                      <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'modern_magazine_ThumbnailImage', array( 'alt' => esc_attr(get_the_title()), 'class' => 'img-responsive') ); ?></a>
                  <?php else: ?>
                      <a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/no-image.jpg"></a>
                  <?php endif; ?>
              <div class="sports-top-content">
                <h4>
                    <a href="<?php the_permalink(); ?>">
                       <?php echo esc_html(mb_strimwidth(get_the_title(), 0, 100, '...')); ?>
                     </a>
                </h4>
                <p class="date">
                  <i class="fa fa-calendar-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?>
                </p>
                <p><?php the_excerpt(); ?></p>
              </div>
            </div>
            <?php } else {  if($counter==2) { ?>
            <div class="row">
              <?php } ?>
              <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                <div class="second-section-news-top sports-block">
                  <?php if ( has_post_thumbnail() ) : ?>
                      <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'modern_magazine_ThumbnailImage', array( 'alt' => esc_attr(get_the_title()), 'class' => 'img-responsive') ); ?></a>
                  <?php else: ?>
                      <a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/no-image.jpg"></a>
                  <?php endif; ?>
                  <div class="sports-top-content">
                      <h4><a href="<?php the_permalink(); ?>">
                        <?php echo esc_html(mb_strimwidth(get_the_title(), 0, 45, '...')); ?>
                      </a></h4>
                    <p class="date">
                      <i class="fa fa-calendar-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?>
                    </p>
                    <p><?php the_excerpt(); ?></p>
                  </div>
                </div>
              </div>
              
             <?php if($counter == $num){ ?>
            </div>
           <?php } }
           $counter++; endwhile; wp_reset_postdata();?>
          </div>


           <!-- Third NEWS SECTION --> 
          <?php  $section_third_news = new WP_Query(array('post_type' => 'post', 'posts_per_page' => '2','category_name' => get_theme_mod('section_third_news_category')));
          $num = $section_third_news->post_count; 
          $counter = 1; ?>
          <div class="third-section-news"> 
            <h2><?php echo esc_html(get_theme_mod('section_third_news_title',esc_html__('Third Magazine Section','modern-magazine'))); ?></h2>
            <div class="third-section-news-main">
              <?php while ( $section_third_news->have_posts() ) : $section_third_news->the_post(); ?>
              <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                  <?php if ( has_post_thumbnail() ) : ?>
                      <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'modern_magazine_ThumbnailImage', array( 'alt' => esc_attr(get_the_title()), 'class' => 'img-responsive') ); ?></a>
                  <?php else: ?>
                      <a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/no-image.jpg"></a>
                  <?php endif; ?>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                  <h4><a href="<?php the_permalink(); ?>">
                    <?php echo esc_html(mb_strimwidth(get_the_title(), 0, 45, '...')); ?> 
                  </a></h4>
                  <p class="date">
                    <i class="fa fa-calendar-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?>
                  </p>                  
                  <p><?php the_excerpt(); ?></p>
                </div>
              </div>              
              <?php endwhile; wp_reset_postdata();?> 
            </div>
          </div>
          

           <!-- Four NEWS SECTION --> 
          <?php $section_four_news = new WP_Query(array('post_type' => 'post', 'posts_per_page' => '4','category_name' => get_theme_mod('section_four_news_category')));
          $num = $section_four_news->post_count; 
          $counter = $icounter = 1; ?>
          <div class="fourth-section-news">
            <h2>
              <?php echo esc_html(get_theme_mod('section_four_news_title',esc_html__('Fourth Magazine Section','modern-magazine'))); ?>
            </h2>             
            <div class="fourth-section-news-main">              
                <?php while ( $section_four_news->have_posts() ) : $section_four_news->the_post();
                $icounter=($icounter==3)?1:$icounter;
                if($icounter==1) { ?>
                  <div class="row">
                <?php } ?>
                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                  <?php if ( has_post_thumbnail() ) : ?>
                      <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'modern_magazine_ThumbnailImage', array( 'alt' => esc_attr(get_the_title()), 'class' => 'img-responsive') ); ?></a>
                  <?php else: ?>
                      <a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/no-image.jpg"></a>
                  <?php endif; ?>
                   <div class="fourth-section-news-content">
                    <h4>
                      <a href="<?php the_permalink(); ?>">
                        <?php echo esc_html(mb_strimwidth(get_the_title(), 0, 45, '...')); ?> 
                      </a>
                    </h4>
                    <p class="date">
                     <i class="fa fa-calendar-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?>
                    </p>                    
                    <p><?php the_excerpt(); ?></p>
                  </div>
                </div>               

              <?php if($counter == $num || $icounter==2){ ?>
              </div>
              <?php } ?>
               <?php $icounter++; $counter++; endwhile; wp_reset_postdata();?>
            </div>
          </div>         

         </div>
         <?php if(get_theme_mod('blogsidebar',2) == '2') :?>
            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
              <?php get_sidebar(); ?>
            </div>
         <?php endif; ?>        
      </div>
    </section>
<?php }
get_footer();