<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Modern_Magazine
 */
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="profile" href="http://gmpg.org/xfn/11">
  <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>"> 
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php if(get_theme_mod('preloader') != 2) :
        if(get_theme_mod('customPreloader') == '') { ?>
            <div class="preloader">
                <?php  get_template_part('template-parts/svg-loader/default'); ?>
            </div>
        <?php } else{ ?>
            <div class="preloader"><span class="preloader-gif" style="background: url(<?php echo esc_url(get_theme_mod('customPreloader')); ?>) no-repeat;background-size: contain;animation: none;"></span></div>
    <?php } endif; ?>
<header class="header header-area" id="res-menu">
  <div class="top-header">
    <div class="container">
      <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
        <?php if (is_active_sidebar('header-area')) { 
          dynamic_sidebar('header-area'); 
          } ?>
      </div>
      <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
        <div class="logo">
          <a href="#">
            <?php 
                if(has_custom_logo()){
                    the_custom_logo();            
                } 
                $modern_magazine_dark_logo_id=get_theme_mod('ModernMagazineDarkLogo');
                $modern_magazine_dark_logo=wp_get_attachment_url($modern_magazine_dark_logo_id);
                if($modern_magazine_dark_logo == ''){
                    $custom_logo_id = get_theme_mod( 'custom_logo' );
                    $modern_magazine_dark_logo = wp_get_attachment_url( $custom_logo_id );
                }
                else{ ?> 
                <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="custom-logo-link" rel="home" itemprop="url">
                    <img class="img-responsive logo-dark" src="<?php echo esc_url($modern_magazine_dark_logo); ?>" alt="<?php esc_attr_e('Logo','modern-magazine'); ?>">
                </a>
                <?php }
                 if (display_header_text()==true): ?>
                    <a href="<?php echo esc_url(home_url('/')); ?>" rel="home" id='brand' class="custom-logo-link"><span class="site-title"><h2><?php echo esc_html( get_bloginfo( 'name' ) ); ?></h2><small class="site-description"><?php echo esc_html( get_bloginfo( 'description' ) ); ?></small></span></a>
                <?php endif; ?>
          </a>
        </div>
      </div>
      <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
        <div class="social-icons">
          <ul>
            <?php for($i=1; $i<=6; $i++) : ?>
              <?php if(get_theme_mod('TopHeaderSocialIcon'.$i) != '' && get_theme_mod('TopHeaderSocialIconLink'.$i) != '' ): ?>
                   <li><a  href="<?php echo esc_url(get_theme_mod('TopHeaderSocialIconLink'.$i)); ?>" target="_blank">
                        <i class="fa <?php echo esc_attr(get_theme_mod('TopHeaderSocialIcon'.$i)); ?>"></i>
                    </a></li>
              <?php endif; ?>
            <?php endfor; ?>
          </ul>
        </div>        
      </div>
    </div>
  </div>
  <!-- HEADER MENU SECTION -->
  <div class="bottom-header">
      <div class="container">
        <div class="main-menu">          
             <nav id='cssmenu'>
              <div id="box-top-mobile"></div>
              <div class="button"></div>          
              <?php                 
                $modern_magazine_defaults = array(
                    'theme_location' => 'primary',
                    'container' => false,
                    'menu_class'    => 'offside',                  
                );
                wp_nav_menu($modern_magazine_defaults);                                       
               ?>       
           </nav>        
        </div>
      </div>
  </div>
</header>