<?php

/*
 * modern magazine Enqueue css and js files
 */
function modern_magazine_enqueue() {        
    wp_enqueue_style('modern-magazine-google-fonts', modern_magazine_fonts_url(), array(), null );
    wp_enqueue_style('bootstrap', get_template_directory_uri() . '/assets/css/bootstrap.css', array(),null);
    wp_enqueue_style('font-awesome', get_template_directory_uri() . '/assets/css/font-awesome.css', array(),null);
    wp_enqueue_style('modern-magazine-menu-style', get_template_directory_uri() . '/assets/css/menu.css', array(),null);
    wp_enqueue_style('modern-magazine-main-style', get_template_directory_uri() . '/assets/css/default.css', array(),null);

    
    wp_enqueue_script("comment-reply");
    wp_enqueue_script('bootstrap', get_template_directory_uri() . '/assets/js/bootstrap.js', array('jquery'), false, true);
    wp_enqueue_script('modern-magazine-jquery-cycle', get_template_directory_uri() . '/assets/js/jquery.cycle.all.js',array('jquery'), false, true);
    wp_enqueue_script('modern-magazine-custom-script', get_template_directory_uri() . '/assets/js/custom.js',array('jquery'), false, true);
  
    modern_magazine_custom_css();
}
add_action('wp_enqueue_scripts', 'modern_magazine_enqueue');

if ( ! function_exists( 'modern_magazine_fonts_url' ) ) :
    /**
     * Register Google fonts for Theme Name
     *
     * Create your own modern_magazine_fonts_url() function to override in a child theme.
     *
     * @since Modern Magazine 1.0.3
     *
     * @return string Google fonts URL for the theme.
     */
    function modern_magazine_fonts_url() {
        $fonts_url = '';
        $fonts     = array();
        $subsets   = '';  
  
        /* translators: If there are characters in your language that are not supported by PT Sans, translate this to 'off'. Do not translate into your own language. */
        if ( 'off' !== _x( 'on', 'PT Sans font: on or off', 'modern-magazine' ) ) {
            $fonts[] = 'PT Sans';
        }

        if ( $fonts ) {
            $fonts_url = add_query_arg( array(
                'family' => urlencode( implode( '|', $fonts ) ),                
            ), 'https://fonts.googleapis.com/css' );
        }

        return esc_url( $fonts_url );
    }
endif;