<?php
/*
 * modern magazine Main Sidebar
 */
function modern_magazine_widgets_init() {
  register_sidebar(array(
        'name' => __('Header Area', 'modern-magazine'),
        'id' => 'header-area',
        'description' => __('Header area that appears on the header left side.', 'modern-magazine'),
        'before_widget' => '<div class="search-section">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
    register_sidebar(array(
        'name' => __('Main Sidebar', 'modern-magazine'),
        'id' => 'sidebar-1',
        'description' => __('Main sidebar that appears on the right.', 'modern-magazine'),
        'before_widget' => '<div id="%1$s" class="widget main-sidebar-widget  %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
    register_sidebar(array(
        'name' => __('Footer 1', 'modern-magazine'),
        'id' => 'footer-1',
        'description' => __('Footer that appears on the down.', 'modern-magazine'),
        'before_widget' => '<div id="%1$s" class="widget footer-widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    ));
    register_sidebar(array(
        'name' => __('Footer 2', 'modern-magazine'),
        'id' => 'footer-2',
        'description' => __('Footer that appears on the down.', 'modern-magazine'),
        'before_widget' => '<div id="%1$s" class="widget footer-widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    ));
    register_sidebar(array(
        'name' => __('Footer 3', 'modern-magazine'),
        'id' => 'footer-3',
        'description' => __('Footer that appears on the down.', 'modern-magazine'),
        'before_widget' => '<div id="%1$s" class="widget footer-widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    ));
    register_sidebar(array(
        'name' => __('Footer 4', 'modern-magazine'),
        'id' => 'footer-4',
        'description' => __('Footer that appears on the down.', 'modern-magazine'),
        'before_widget' => '<div id="%1$s" class="widget footer-widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    ));
}
add_action('widgets_init', 'modern_magazine_widgets_init');
/**
 * Set up post entry meta.    
 * Meta information for current post: categories, tags, permalink, author, and date.    
 * */
function modern_magazine_excerpt($limit) {
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  } 
  $excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
  return esc_html($excerpt);
} 

/*
* TGM plugin activation register hook 
*/
add_action( 'tgmpa_register', 'modern_magazine_action_tgm_plugin_active_register_required_plugins' );
function modern_magazine_action_tgm_plugin_active_register_required_plugins() {
    if(class_exists('TGM_Plugin_Activation')){
      $plugins = array(
        array(
           'name'      => __('Page Builder by SiteOrigin','modern-magazine'),
           'slug'      => 'siteorigin-panels',
           'required'  => false,
        ),
        array(
           'name'      => __('SiteOrigin Widgets Bundle','modern-magazine'),
           'slug'      => 'so-widgets-bundle',
           'required'  => false,
        ),
        array(
           'name'      => __('Contact Form 7','modern-magazine'),
           'slug'      => 'contact-form-7',
           'required'  => false,
        ),
      );
      $config = array(
        'default_path' => '',
        'menu'         => 'modern-magazine-install-plugins',
        'has_notices'  => true,
        'dismissable'  => true,
        'dismiss_msg'  => '',
        'is_automatic' => false,
        'message'      => '',
        'strings'      => array(
           'page_title'                      => __( 'Install Recommended Plugins', 'modern-magazine' ),
           'menu_title'                      => __( 'Install Plugins', 'modern-magazine' ),
           'nag_type'                        => 'updated'
        )
      );
      tgmpa( $plugins, $config );
    }
}