<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Modern_Magazine
 */

get_header(); ?>
<section class="content-main" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="container">
    <?php if(get_theme_mod('blogsinglesidebar',2) == '1') : ?>
        <div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
          <?php get_sidebar(); ?>
      </div>
      <?php endif; 
      $row = get_theme_mod('blogsinglesidebar',2) == '3' ? '12' : '9'; ?>
        <div class="col-lg-<?php echo esc_attr($row); ?> col-md-<?php echo esc_attr($row); ?> col-sm-<?php echo esc_attr($row); ?> col-xs-12">
          <!-- SINGLE BLOG SECTION -->
          <?php while ( have_posts() ) : the_post(); ?>
          <div class="single-blog-main">
            <div class="blog-section-main">
              <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                  <?php if ( has_post_thumbnail() ) : ?>
                    <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'modern_magazine_ThumbnailImage', array( 'alt' => esc_attr(get_the_title()), 'class' => 'img-responsive') ); ?></a>
                <?php else: ?>
                    <a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/no-image.jpg"></a>
                <?php endif; ?>
                </div>
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <?php if(get_theme_mod('blogSingleMetaTag',1) == '1') : ?>
                  <p class="date"><span><i class="fa fa-calendar-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?></span> <span><i class="fa fa-user" aria-hidden="true"></i> <?php esc_html_e('By','modern-magazine'); ?> <a href="<?php the_permalink(); ?>"><?php the_author();  ?></a></span></p>
                <?php endif; ?>
                  <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                  <p><?php the_content(); ?></p>
                </div>
              </div>

            </div>
          </div>
      	<?php endwhile; ?>
          <!-- COMMENT SECTION -->
          <div class="comment-main">
            
				<?php if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
				?>
          </div>
          <div class="page-navigation"> 
               <?php      the_post_navigation( array(
                    'prev_text' => '<span class="screen-reader-text">' . __( 'Previous Magazine : ', 'modern-magazine' ) . '</span><span aria-hidden="true" class="nav-subtitle">' . __( 'Previous', 'modern-magazine' ) . '</span> <span class="nav-title"><span class="nav-title-icon-wrapper"></span>%title</span>',
                    'next_text' => '<span class="screen-reader-text">' . __( 'Next Magazine : ', 'modern-magazine' ) . '</span><span aria-hidden="true" class="nav-subtitle">' . __( 'Next', 'modern-magazine' ) . '</span> <span class="nav-title">%title<span class="nav-title-icon-wrapper"></span></span>',
                    'screen_reader_text'        => ' ',
                  ) ); ?>
          </div>
        </div>
        <?php if(get_theme_mod('blogsinglesidebar',2) == '2') : ?>
        <div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
    		  <?php get_sidebar(); ?>
  		</div>
      <?php endif; ?>
    </div>
</section>
<?php get_footer();