<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Modern_Magazine
 */
?>
<section class="content-main <?php post_class(); ?>" id="post-<?php the_ID(); ?>">
  <div class="container">
  <?php if(get_theme_mod('blogsidebar',2) == '1') :?>
    <div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
      <?php get_sidebar(); ?>
    </div>
    <?php endif; 
     $row = get_theme_mod('blogsidebar',2) == '3' ? '12' : '9'; ?>
    <div class="col-lg-<?php echo esc_attr($row); ?> col-md-<?php echo esc_attr($row); ?> col-sm-<?php echo esc_attr($row); ?> col-xs-12">    
      <!-- BLOG SECTION -->
      <div class="blog-main">
        <h2><?php if(is_archive()): the_archive_title(); else: esc_html_e('Blog','modern-magazine'); endif; ?></h2>
        <?php  $icounter=1;  while (have_posts()) :
          $icounter = ($icounter>=3)?1:$icounter;
         the_post(); ?>

        <div class="blog-section-main blog-section-style<?php echo esc_attr($icounter); ?>">
          <div class="row">
          <?php if($icounter==1) { ?>     
              <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                  <?php if ( has_post_thumbnail() ) : ?>
                      <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'modern_magazine_ThumbnailImage', array( 'alt' => esc_attr(get_the_title()), 'class' => 'img-responsive') ); ?></a>
                  <?php else: ?>
                      <a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/no-image.jpg"></a>
                  <?php endif; ?>
              </div>            
              <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
  				      <h4><a href="<?php the_permalink(); ?>"><?php $title= get_the_title(); echo esc_html(mb_strimwidth($title, 0, 50, '...')); ?></a></h4>
                <?php if(get_theme_mod('blogMetaTag',1) == '1') : ?>
                  <p class="date"><span><i class="fa fa-calendar-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?></span> <span><i class="fa fa-user" aria-hidden="true"></i> <?php esc_html_e('By','modern-magazine'); ?> <a href="<?php the_permalink(); ?>"><?php the_author();  ?></a></span></p>
              <?php endif; ?>
               
                <?php if(get_theme_mod('blogPostExcerpt',1) == '1') :?>
                  <p><?php echo modern_magazine_excerpt(absint(get_theme_mod('blogPostExcerptTextLimit',70))); ?></p>
              <?php endif; ?>
                <a class="btn btn-primary read-more" href="<?php the_permalink(); ?>"><span data-hover="Read More"><?php esc_html_e('Read More','modern-magazine');?></span></a>
              </div>
             
             <?php } else { ?>             
            
            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
              <h4><a href="<?php the_permalink(); ?>"><?php $title= get_the_title(); echo esc_html(mb_strimwidth($title, 0, 50, '...')); ?></a></h4>
				<?php if(get_theme_mod('blogMetaTag',1) == '1') : ?>
                <p class="date"><span><i class="fa fa-calendar-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?></span> <span><i class="fa fa-user" aria-hidden="true"></i> <?php esc_html_e('By','modern-magazine'); ?> <a href="<?php the_permalink(); ?>"><?php the_author();  ?></a></span></p>
            <?php endif; ?>
              
              <?php if(get_theme_mod('blogPostExcerpt',1) == '1') :?>
                <p><?php echo modern_magazine_excerpt(absint(get_theme_mod('blogPostExcerptTextLimit',70))); ?></p>
            <?php endif; ?>
              <a class="btn btn-primary read-more" href="<?php the_permalink(); ?>"><span data-hover="Read More"><?php esc_html_e('Read More','modern-magazine');?></span></a>
            </div>

            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
                <?php if ( has_post_thumbnail() ) : ?>
                    <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'modern_magazine_ThumbnailImage', array( 'alt' => esc_attr(get_the_title()), 'class' => 'img-responsive') ); ?></a>
                <?php else: ?>
                    <a href="<?php the_permalink(); ?>"><img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/no-image.jpg"></a>
                <?php endif; ?>
            </div>
         
             <?php  } ?>
          </div>
        </div>
        <?php $icounter++; endwhile; ?>
        <div class="page-navigation">
            <?php the_posts_pagination( array(
              'Previous'=> __('Back','modern-magazine'),
              'Next'=> __('Next','modern-magazine')
            ));
            ?>
          </div>
      </div>
    </div>
    <?php if(get_theme_mod('blogsidebar',2) == '2') :?>
    <div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
    	<?php get_sidebar(); ?>
  	</div>
    <?php endif; ?>
  </div>
</section>